### Method

# Foundry ActionIntent dup_action_name

since: 1.1

#### Declaration [src]

    char*
    foundry_action_intent_dup_action_name (
      FoundryActionIntent* self
    )

#### Description [src]

Gets a copy of the action name.

Available since: 1.1

#### Return value

Type: `char*`

A newly allocated copy of the action name.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.